Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 189322 - Review Request: rosegarden4
Summary: Review Request: rosegarden4
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 158728 FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-19 05:12 UTC by Callum Lerwick
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-19 22:36:13 UTC


Attachments (Terms of Use)
Patch for x86-64 ladspa (deleted)
2006-05-13 20:56 UTC, Anthony Green
no flags Details
Patch to look for DSSI plugins in lib64 directories (deleted)
2006-07-16 02:47 UTC, Anthony Green
no flags Details | Diff

Description Callum Lerwick 2006-04-19 05:12:20 UTC
Spec URL: http://www.haxxed.com/rpms/rosegarden4.spec
SRPM URL: http://www.haxxed.com/rpms/rosegarden4-1.2.3-1.src.rpm

Description:

Rosegarden is an attractive, user-friendly MIDI and audio sequencer, notation
editor, and general-purpose music composition and editing application for Unix
and Linux.

I've built and tested it on x86_64 and i386, and in mock. rpmlint complains about a bunch of null files, I dunno why rosegarden is installing a bunch of null image files but I guess its ignorable.

It will probably complain about system timer resolution on startup. See http://www.rosegardenmusic.com/resources/faq/#toc31

Comment 1 Callum Lerwick 2006-04-22 05:26:19 UTC
Okay I poked at the system timer problem a bit. Putting this in modprobe.conf is
supposed to get snd-rtctimer loaded automatically:

options snd-seq seq_default_timer_device=1
alias snd-timer-1 snd-rtctimer

But I can't seem to convince rosegarden to use it. Setting it in the preferences
doesn't seem to do anything. And if you go back to the preferences, reverts back
to auto. In fact, no matter what I set it to, it seems to not take effect and it
stays stuck on auto. Bleh. I haven't been able to google up anyone else with
this problem, everyone seems to just compile their kernels with a 1000hz timer
instead...

Comment 2 Anthony Green 2006-05-13 20:56:44 UTC
Created attachment 128983 [details]
Patch for x86-64 ladspa

This patch tells rosegarden4 to look for plugins in lib64 instead of lib.
Just conditionally apply it in the spec file like so...

# Conditionally apply patch to read ladspa plugins from lib64 dir.
%ifarch x86_64
%patch1 -p0
%endif

Admittedly, this is a bit of a hack.  I'll follow up with upstream to make sure
there's a cleaner solution in the next release.

Comment 3 Callum Lerwick 2006-05-16 07:58:22 UTC
Okay, so I tried building rosegarden against jack, and now the timer setting
will stick, and /proc/asound/seq confirms it is actually using the RTC timer,
however it STILL complains about the system timer resolution on startup. Bleh.

I'm going to hold off on updates until its various (supposedly) optional
dependencies are accepted. Looks like liblo was accepted, and I'm working on
reviewing jack.

Comment 4 Andy Shevchenko 2006-06-02 10:45:36 UTC
Why do you not use %find_lang macro?

You may uncomment BR: jack-aufio-connection-kit due to it is built for devel,
fc4,5 repos.


Comment 5 Callum Lerwick 2006-06-02 22:33:15 UTC
Actually the updated package I'm sitting on uses %find_lang. Today I plan to
finish up my dssi review, which is the last remaining soft-dependency for this
package.

Comment 6 Callum Lerwick 2006-06-15 06:16:59 UTC
Alright, so I've run into a problem on the timing front. On my x86_64 system,
using snd-rtctimer will cause a total system lockup within seconds, when the
ALSA sequencer is used. So snd-rtctimer does in fact still not get along with
SMP, and it appears simply *running* an SMP kernel, even on a UP system, will
cause lockups with snd-rtctimer. (x86_64 always runs with an SMP kernel, as it
apparently doesn't suffer the speed hit i386 does when running an SMP kernel on
UP systems.)

This happens with any ALSA MIDI app, not just Rosegarden. However, I'm not sure
if its something I did, but somehow Rosegarden is causing snd-rtctimer to be
loaded when it starts up, even if I take it out of my modprobe.conf. And it
seems to insist on using it even if I tell it not to. I had to blacklist
snd-rtctimer in modprobe.conf to keep my system from locking up.

Since I approved dssi, I'll get an updated rosegarden package up tomorrow
hopefully. (Summer session just started and I'm taking a few classes. 3 months
worth of class mashed into one month...)

Comment 7 Callum Lerwick 2006-06-18 06:40:32 UTC
Alright, shiny new package update:

http://www.haxxed.com/rpms/rosegarden4-1.2.3-2.src.rpm
http://www.haxxed.com/rpms/rosegarden4.spec

- Removed which from Buildrequires, mock needing it is confirmed to be a bug.
- Use find_lang macro.
- Look for ladspa plugins in the correct place on x86_64.
- Build against liblo, jack, dssi, lirc.
- Salvage the upstream desktop file, rather than using our own.

Comment 8 Anthony Green 2006-07-10 05:57:32 UTC
(In reply to comment #7)
> Alright, shiny new package update:
> 
> http://www.haxxed.com/rpms/rosegarden4-1.2.3-2.src.rpm
> http://www.haxxed.com/rpms/rosegarden4.spec

Do you know what all this is about?

# rpmlint /usr/src/redhat/RPMS/i386/rosegarden4-1.2.3-2.i386.rpm
E: rosegarden4 zero-length
/usr/share/apps/rosegarden/fonts/feta/6/custodes-medicaea.xpm
E: rosegarden4 zero-length
/usr/share/apps/rosegarden/fonts/feta/4/custodes-rvaticana.xpm
E: rosegarden4 zero-length
/usr/share/apps/rosegarden/fonts/feta/8/custodes-mensural.xpm
E: rosegarden4 zero-length
/usr/share/apps/rosegarden/fonts/feta/12/custodes-rmedicaea.xpm
E: rosegarden4 zero-length
/usr/share/apps/rosegarden/fonts/feta/12/accordion-accSB.xpm
E: rosegarden4 zero-length
/usr/share/apps/rosegarden/fonts/feta/12/custodes-rvaticana.xpm
E: rosegarden4 zero-length
/usr/share/apps/rosegarden/fonts/feta/4/accordion-accDot.xpm
etc 
etc
etc


Comment 9 Callum Lerwick 2006-07-10 09:15:05 UTC
That's part of the pre-rendered music notation font its using. Dunno why there's
a bunch of null files in there. I figure we can ignore it for now, and I'll
report it upstream along with all the patches once the review is done.

Comment 10 Anthony Green 2006-07-13 02:12:24 UTC
I don't have the "fedorabugs" membership yet, so this I can't approve yet, but
here's my formal review anyways...

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
md5sum is e7fb7ebcb21ac6841ac5cfd6683f5fb2
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock ( ).
* rpmlint is silent apart from empty file complaints which we've discussed in
bugzilla.  Those will be fixed upstream.
* final provides and requires are sane:
    rosegarden4-1.2.3-2.x86_64.rpm
    rosegarden4 = 1.2.3-2
=
    /bin/sh
    /usr/bin/perl
    desktop-file-utils
    libDCOP.so.4()(64bit)
    libX11.so.6()(64bit)
    libXft.so.2()(64bit)
    libXrender.so.1()(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libjack.so.0()(64bit)
    libkdecore.so.4()(64bit)
    libkdeprint.so.4()(64bit)
    libkdeui.so.4()(64bit)
    libkio.so.4()(64bit)
    liblirc_client.so.0()(64bit)
    liblo.so.0()(64bit)
    liblrdf.so.2()(64bit)
    libqt-mt.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(GLIBCXX_3.4)(64bit)
    libz.so.1()(64bit)
    perl(File::Basename)
    perl(File::Copy)
    perl(Getopt::Long)
    perl(XML::Twig)
    perl(strict)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a web app.

I would approve this if I had "fedorabugs" membership (which I've requested).

Comment 11 Anthony Green 2006-07-13 23:38:05 UTC
Ok, I'm in fedorabugs.   This package is ACCEPTED!

Comment 12 Anthony Green 2006-07-16 02:47:00 UTC
Created attachment 132518 [details]
Patch to look for DSSI plugins in lib64 directories

Please apply this patch when you check rosegarden4 in.	It tells rosegarden
where to find DSSI plugins on x86-64 systems.

Comment 13 Callum Lerwick 2006-07-19 22:36:13 UTC
Patched and built on devel and FC5! FC4 is missing liblrdf, liblo and dssi though.

Comment 14 Anthony Green 2006-07-19 22:51:43 UTC
(In reply to comment #13)
> Patched and built on devel and FC5! FC4 is missing liblrdf, liblo and dssi though.

Great news! 

I wasn't planning on putting those packages in FC4, as I don't have an FC4
machine to test with.  Is this still something you would really like?



Note You need to log in before you can comment on or make changes to this bug.